org.eclipse.actf.util.win32

## Class NativeVariantAccess

- java.lang.Object
- - org.eclipse.actf.util.win32.NativeVariantAccess

    public class NativeVariantAccess
    extends Object

Utility class to access native Variant

### Constructor Summary

Constructors
Constructor and Description
`NativeVariantAccess()` Constructor of the class (size=1)
`NativeVariantAccess(int size)` Constructor of the class

### Method Summary

Methods
`void` `dispose()` Dispose the object
`int` `getAddress()`
`int` `getAddress(int index)`
`org.eclipse.swt.internal.ole.win32.IDispatch` `getDispatch()`
`org.eclipse.swt.internal.ole.win32.IDispatch` `getDispatch(int index)`
`int` `getInt()`
`int` `getInt(int index)`
`String` `getString()`
`String` `getString(int index)`
`short` `getType()`
`short` `getType(int index)`
`Variant` `getVariant()`
`Variant` `getVariant(int index)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeVariantAccess

    public NativeVariantAccess()

Constructor of the class (size=1)

#### NativeVariantAccess

    public NativeVariantAccess(int size)

Constructor of the class

Parameters:
  `size` - array size

### Method Detail

#### dispose

    public void dispose()

Dispose the object

#### getAddress

    public int getAddress()

Returns:
  native address (index=0)

#### getAddress

    public int getAddress(int index)

Parameters:
  `index` - target index
Returns:
  native address at the index

#### getType

    public short getType()

Returns:
  type of Variant (index=0)

#### getType

    public short getType(int index)

Parameters:
  `index` - target index
Returns:
  type of Variant at the index

#### getInt

    public int getInt()

Returns:
  integer value (index=0)

#### getInt

    public int getInt(int index)

Parameters:
  `index` - target index
Returns:
  integer value at the index

#### getDispatch

    public org.eclipse.swt.internal.ole.win32.IDispatch getDispatch()

Returns:
  IDispatch at index 0

#### getDispatch

    public org.eclipse.swt.internal.ole.win32.IDispatch getDispatch(int index)

Parameters:
  `index` - target index
Returns:
  IDispatch at the index

#### getString

    public String getString()

Returns:
  native String (index=0)

#### getString

    public String getString(int index)

Parameters:
  `index` - target index
Returns:
  native String at the index

#### getVariant

    public Variant getVariant()

Returns:
  Variant (index=0)

#### getVariant

    public Variant getVariant(int index)

Parameters:
  `index` - target index
Returns:
  Variant at the index